/* Exercise 8-1.c */
#include <stdio.h>

char line[100];         /* line buffer */

char c;             /* temp var for char */
int pos;            /* temp var for position */

int alpha_counts[26];           /* counts for each letter */
int num_counts[10];             /* counts for each number */

int main()
{
    /* initialize variables */
    for (pos = 0; pos < 26; pos++)
        alpha_counts[pos] = 0;

    for (pos = 0; pos < 10; pos++)
        num_counts[pos] = 0;

    while (fgets(line, sizeof(line), stdin)) {

        /* get rid of the \n at the end */
        line[strlen(line) - 1] = '\0';

        /* loop through each character */
        for (pos = 0; pos < strlen(line); pos++) {
            c = line[pos];
        
            /* convert to lower case if upper case */
            if (isupper(c))
                c = c - 'A' + 'a';

            if (isalpha(c)) {

                if (isupper(c))
                    c = c - 'A' + 'a';
            
                c = c - 'a';
                alpha_counts[c]++;
            }

            if (isdigit(c)) {
                c = c - '0';
                num_counts[c]++;
            }
        }
        
    }

    /* printout A-Z and their counts */
    for (pos = 0; pos < 26; pos++)
        printf("Char '%c': %3d\n", pos + 'A', alpha_counts[pos]);

    for (pos = 0; pos < 10; pos++)
        printf("Char '%d': %3d\n", pos, num_counts[pos]);


    return(0);
}
